Summary: An English-language thesaurus library.
Name: aiksaurus
Version: 1.2.1
Release: 7
Epoch: 1
Group: System Environment/Libraries
License: GPL
Source: http://prdownloads.sourceforge.net/aiksaurus/aiksaurus-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel, desktop-file-utils >= 0.9
PreReq: desktop-file-utils >= 0.9

Patch0: aiksaurus-1.2.1-desktop.patch

%description
Aiksaurus is an English-language thesaurus library that can be 
embedded in word processors, email composers, and other authoring
software to provide thesaurus capabilities.  A basic command line 
thesaurus program is also included.

%package devel
Requires: aiksaurus
Summary: Files for developing with aiksaurus.
Group: Development/Libraries
                                                                                
%description devel
Includes and definitions for developing with aiksaurus.

%package gtk
Requires: aiksaurus >= %{version}
Summary: A GTK+ frontend to aiksaurus.
Group: System Environment/Libraries

%description gtk
AiksaurusGTK is a GTK+ interface to the Aiksaurus library.  
It provides an attractive thesaurus interface, and can be embedded
in GTK+ projects, notably AbiWord.  A standalone thesaurus program
is also provided.

%package gtk-devel
Requires: aiksaurus-gtk
Requires: aiksaurus-devel >= %{version}
Requires: gtk2-devel
Summary: Files for developing with aiksaurus-gtk.
Group: Development/Libraries
                                                                                
%description gtk-devel
gtk includes and definitions for developing with aiksaurus.

%prep
%setup -q
%patch0 -p1 -b .desktop.patch

%build
%configure
make

%install
%makeinstall
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
desktop-file-install --vendor gnome --dir $RPM_BUILD_ROOT%{_datadir}/applications ./gaiksaurus.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc ChangeLog README COPYING AUTHORS
%{_bindir}/aiksaurus
%{_bindir}/caiksaurus
%{_libdir}/*Aiksaurus-*.so.*
%{_datadir}/aiksaurus

%files devel
%defattr(-, root, root)
%dir %{_includedir}/Aiksaurus
%{_includedir}/Aiksaurus/Aiksaurus.h
%{_includedir}/Aiksaurus/AiksaurusC.h
%{_libdir}/*Aiksaurus.so
%{_libdir}/pkgconfig/aiksaurus-1.0.pc

%files gtk
%defattr(-, root, root)
%{_bindir}/gaiksaurus
%{_libdir}/*GTK*.so.*
%{_datadir}/applications/gnome-gaiksaurus.desktop

%post gtk
/sbin/ldconfig
update-desktop-database %{_datadir}/applications

%postun gtk
/sbin/ldconfig
update-desktop-database %{_datadir}/applications

%files gtk-devel
%defattr(-, root, root)
%{_includedir}/Aiksaurus/AiksaurusGTK*.h
%{_libdir}/*GTK*.so
%{_libdir}/pkgconfig/gaiksaurus-1.0.pc

%changelog
* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1:1.2.1-7
- rebuild on all arches

* Thu Mar 31 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 1.2.1-6
- add dep gtk2-devel for pkgconfig in -gtk-devel sub-package 
- include %%{_includedir}/Aiksaurus dir in -devel sub-package
- remove redundant deps "gtk2" and "aiksaurus" in -gtk sub-package

* Wed Mar  2 2005 Caolan McNamara <caolanm@redhat.com> 1.2.1-5
- rebuild with gcc4

* Mon Jan 24 2005 Caolan McNamara <caolanm@redhat.com> 1.2.1-4
- RH#145922# wrong location

* Mon Jan 24 2005 Caolan McNamara <caolanm@redhat.com> 1.2.1-3
- RH#145922# make a .desktop for gaiksaurus

* Wed Oct 10 2004 Caolan McNamara <caolanm@redhat.com> 1.2.1-2
- #rh134808# BuildRequires gtk2-devel

* Tue Aug 10 2004 Caolan McNamara <caolanm@redhat.com>
- initially import 1.2.1 and tweak .spec
